<?php
/*
Plugin Name: esbleibtdabei.at
Version: 1.0
Plugin URI: https://www.esbleibtdabei.at/banner
Description: Anzeige eines Banner zur Unterstützung der parteienübergreifenden Initiative esbleibtdabei.at für Alexander van der Bellen
Author: Robert Harm
Author URI: https://www.harm.co.at
Requires at least: 3.0
Tested up to: 4.6.1
*/
//info prevent file from being accessed directly
if (basename($_SERVER['SCRIPT_FILENAME']) == 'esbleibtdabei-at.php') { die ("Please do not access this file directly. Thanks!<br/><a href='https://www.esbeleibtdabei.at'>www.esbleibtdabei.at</a>"); }
//info: define necessary paths and urls
if ( ! defined( 'EBD_WP_ADMIN_URL' ) )
	define( 'EBD_WP_ADMIN_URL', get_admin_url() );
if ( ! defined( 'EBD_PLUGIN_URL' ) )
define ("EBD_PLUGIN_URL", plugin_dir_url(__FILE__));
if ( ! defined( 'EBD_PLUGIN_DIR' ) )
define ("EBD_PLUGIN_DIR", plugin_dir_path(__FILE__));

class Esbleibtdabei
{
function __construct() {
	$ebd_status = get_option('ebd_status');
	if ( isset($ebd_status) && ($ebd_status == 'enabled') ){
		add_action('wp_print_styles', array(&$this, 'ebd_frontend_enqueue_stylesheets'),4);
		add_action('wp_footer', array(&$this, 'ebd_footer_code'));
	}
	add_action('admin_menu', array(&$this, 'ebd_admin_menu'),5);
	if ( ($ebd_status == NULL) || ($ebd_status == 'disabled') ){
		add_action('admin_notices', array(&$this, 'ebd_admin_notices'),6);
	}
  }
  function ebd_admin_notices() {
	 echo '<div class="error" style="padding:10px;"><strong>esbleibtdabei.at Banner wird derzeit noch nicht angezeigt!</strong><br/>Bitte <a href="' . EBD_WP_ADMIN_URL . 'options-general.php?page=ebd_settings_page">Einstellungsseite aufrufen</a>, Checkbox "Banner anzeigen" anhacken und speichern.</div>';
  }
  function ebd_admin_menu() {
	$page = add_options_page('esbleibtdabei.at', 'esbleibtdabei.at', 'activate_plugins', 'ebd_settings_page', array(&$this, 'ebd_settings_page') );
  }
  function ebd_settings_page() {
	include('ebd-settings.php');
  }
  function ebd_frontend_enqueue_stylesheets() {
		global $wp_styles;
		wp_enqueue_style('esbleibtdabei', EBD_PLUGIN_URL . 'css/ebd.css', array());
		wp_enqueue_style('esbleibtdabei-ie-only', EBD_PLUGIN_URL . 'css/ebd-ie.css', array());
		$wp_styles->add_data('esbleibtdabei-ie-only', 'conditional', 'lt IE 7');
  }
  function ebd_footer_code() {
		echo '<!-- esbleibtdabei.at begin --><div id="akct"><a id="akpeel" href="https://www.esbleibtdabei.at/?ref=banner" target="_blank" title="esbleibtdabei.at - eine parteienübergreifende Initiative zur Unterstützung von Alexander van der Bellen"><img src="' . EBD_PLUGIN_URL . 'img/ebd-blank.gif" alt="esbleibtdabei.at" width="20" height="20" /></a>
<a id="akpreload" href="https://www.esbleibtdabei.at/banner?ref=banner" target="_blank" title="Anleitungen zum Einbau dieses Banners auf der eigenen Webseite: www.esbleibtdabei.at/banner"><img src="' . EBD_PLUGIN_URL . 'img/ebd-info.gif" alt="Info-Logo" width="20" height="12" /></a></div>
<!-- esbleibtdabei.at ende-->';  
  }
}  //info: end class
$run_esbleibtdabei = new Esbleibtdabei();
unset($run_esbleibtdabei);
?>